#ifndef _UIC_FILE_H_
#define _UIC_FILE_H_

#include <glib.h>
#include <gio/gio.h>
#include <unistd.h>
#include <sys/types.h>
#include "error.h"

typedef struct _uic_file uic_file;

struct uic_file_st {
	goffset size;
	time_t atime;
	time_t ctime;
	time_t mtime;
};

uic_file *uic_file_open(const gchar *path, const gchar *fmt);

gint uic_file_write(uic_file *file, const gchar *buf, gsize cnt);

gint uic_file_read(uic_file *file, gchar *buf, gsize cnt);

gint uic_file_seek(uic_file *file, gint64 offset, GSeekType type);

gint uic_file_stat(const gchar *path, struct uic_file_st *fst);

gint uic_file_close(uic_file *file);

gint uic_file_remove(const gchar *path);

#endif

